# eric6.Helpviewer.Network.EricAccessHandler

Module implementing a scheme access handler for Python resources.

### Global Attributes

None

### Classes

EricAccessHandler | Class implementing a scheme access handler for Python resources.

### Functions

None

## EricAccessHandler

Class implementing a scheme access handler for Python resources.

### Derived from

SchemeAccessHandler

### Class Attributes

_homePage
_speedDialPage

### Class Methods

None

### Methods

__createHomePage | Private method to create the Home page.
__createSpeedDialPage | Private method to create the Speeddial page.
createRequest | Public method to create a request.

### Static Methods

None

#### EricAccessHandler.__createHomePage

__createHomePage()

Private method to create the Home page.

Returns:
  prepared home page (QByteArray)

#### EricAccessHandler.__createSpeedDialPage

__createSpeedDialPage()

Private method to create the Speeddial page.

Returns:
  prepared speeddial page (QByteArray)

#### EricAccessHandler.createRequest

createRequest(op, request, outgoingData=None)

Public method to create a request.

op
  the operation to be performed (QNetworkAccessManager.Operation)
request
  reference to the request object (QNetworkRequest)
outgoingData
  reference to an IODevice containing data to be sent (QIODevice)

Returns:
  reference to the created reply object (QNetworkReply)

Up